<?php
/*
Plugin Name: Get Options
Plugin URI: https://wordpress.org/extend/plugins/get-options/
Description: View all the WordPress Options, <strong>even the serialized ones !</strong>
Version: 2.6.0
Author: Gilles Dumas
Author URI: https://gillesdumas.com
*/

/**
* Ajout d'une page dans le menu Admin
*/ 
function getoptions_init() {
	
	// Load the language pack
	load_plugin_textdomain('get-options', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
	
	// On ajoute la page.
	$page_title = __('All the WordPress options', 'get-options'); // <title>...</title>
	$menu_title = 'Get Options'; // Nom du plugin affiché
	$capability = 'administrator'; // (le menu sera visible par les admin)
	$menu_slug  = 'all_options'; // ex : wp-admin/options-general.php?page=all_options
	$function   = 'gwp_all_options_page';
	add_submenu_page('tools.php', $page_title, $menu_title, $capability, $menu_slug, $function);
}
add_action('admin_menu', 'getoptions_init', 100);



function gwp_all_options_page() {
	require_once('inc/page-content.php');
}
 
